<style scoped lang="less">

  .view {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1000;
  }

</style>

<template>

  <section class="view splash">
    <logo size="100" />
  </section>

</template>

<script>

  import Logo from 'UI/components/logo/logo.vue'

  export default {
    name: 'splash-screen',
    components: { Logo },
    created() {
      document.body.classList.add('overflow-hidden')
    },
    beforeDestroy() {
      document.body.classList.remove('overflow-hidden')
    }
  }

</script>
